TypeScript SDK
import { WebApiSDK } from "@parable-platform/web-api-sdk";
const sdk = new WebApiSDK({
baseUrl: process.env.PARABLE_API_URL!,
auth: { token: process.env.PARABLE_API_TOKEN! },
requestInterceptor: (config) => ({
...config,
headers: { ...config.headers, "X-Tenant": process.env.PARABLE_WORKSPACE! },
}),
});
const query = {};
const result = await sdk.catalog.tableQualityResults(
query
);import os
from parable_web_api_sdk import ClientConfig, WebApiSDK
sdk = WebApiSDK(
ClientConfig(
base_url=os.environ["PARABLE_API_URL"],
auth_token=os.environ["PARABLE_API_TOKEN"],
default_headers={"X-Tenant": os.environ["PARABLE_WORKSPACE"]},
)
)
result = sdk.catalog.table_quality_results(tenant_connector_tap_id=None, limit=None, offset=None)use parable_web_api_sdk::{namespaces, ClientConfig, RequestOptions, WebApiSdk};
let sdk = WebApiSdk::new(ClientConfig::with_base_url(
std::env::var("PARABLE_API_URL")?,
Some(std::env::var("PARABLE_API_TOKEN")?),
None,
))?;
let options = RequestOptions::with_header("X-Tenant", std::env::var("PARABLE_WORKSPACE")?, None, None);
let query = namespaces::catalog::TableQualityResultsQueryParams {
tenant_connector_tap_id: None,
limit: None,
offset: None,
};
let result = sdk.catalog.table_quality_results(
Some(&query),
Some(&options)
).await?;sdk, err := webapisdk.New(webapisdk.SDKConfig{
BaseURL: os.Getenv("PARABLE_API_URL"),
Auth: &webapisdk.AuthConfig{Token: os.Getenv("PARABLE_API_TOKEN")},
RequestInterceptor: func(ctx context.Context, req *http.Request) error {
req.Header.Set("X-Tenant", os.Getenv("PARABLE_WORKSPACE"))
return nil
},
})
if err != nil {
return err
}
query := &namespaces.CatalogTableQualityResultsQueryParams{}
result, err := sdk.CatalogNamespace.TableQualityResults(ctx, query){
"data": {
"results": [
{
"capturedAt": "2023-11-07T05:31:56Z",
"checks": [
{
"spec": {
"description": "<string>",
"gate": "GATE_1",
"id": "<string>"
},
"status": "PASS",
"comparator": "LT",
"evidence": {
"message": "<string>",
"runOverRunDelta": 123,
"sampleKeys": [
"<string>"
],
"topViolatingValues": [
"<string>"
]
},
"observed": 123,
"threshold": 123
}
],
"lifecycle": "promote",
"overallStatus": "PASS",
"resultId": "<string>",
"runId": "<string>",
"tapContractId": "<string>"
}
],
"resultsVersion": "<string>",
"tenantId": "<string>",
"nextOffset": 123
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}Catalog
Read the latest data-quality results
Returns the most recent data-quality check of each table in this Workspace’s catalog, a page at a time. tenantConnectorTapId keeps only the tables of that Tap. A page holds at most limit results: 20 by default, 100 at most. It stops before 40,000 characters of results, but it always holds one. To read the next page, send nextOffset as offset. The last page has no nextOffset.
GET
/
api
/
catalog
/
table-quality-results
TypeScript SDK
import { WebApiSDK } from "@parable-platform/web-api-sdk";
const sdk = new WebApiSDK({
baseUrl: process.env.PARABLE_API_URL!,
auth: { token: process.env.PARABLE_API_TOKEN! },
requestInterceptor: (config) => ({
...config,
headers: { ...config.headers, "X-Tenant": process.env.PARABLE_WORKSPACE! },
}),
});
const query = {};
const result = await sdk.catalog.tableQualityResults(
query
);import os
from parable_web_api_sdk import ClientConfig, WebApiSDK
sdk = WebApiSDK(
ClientConfig(
base_url=os.environ["PARABLE_API_URL"],
auth_token=os.environ["PARABLE_API_TOKEN"],
default_headers={"X-Tenant": os.environ["PARABLE_WORKSPACE"]},
)
)
result = sdk.catalog.table_quality_results(tenant_connector_tap_id=None, limit=None, offset=None)use parable_web_api_sdk::{namespaces, ClientConfig, RequestOptions, WebApiSdk};
let sdk = WebApiSdk::new(ClientConfig::with_base_url(
std::env::var("PARABLE_API_URL")?,
Some(std::env::var("PARABLE_API_TOKEN")?),
None,
))?;
let options = RequestOptions::with_header("X-Tenant", std::env::var("PARABLE_WORKSPACE")?, None, None);
let query = namespaces::catalog::TableQualityResultsQueryParams {
tenant_connector_tap_id: None,
limit: None,
offset: None,
};
let result = sdk.catalog.table_quality_results(
Some(&query),
Some(&options)
).await?;sdk, err := webapisdk.New(webapisdk.SDKConfig{
BaseURL: os.Getenv("PARABLE_API_URL"),
Auth: &webapisdk.AuthConfig{Token: os.Getenv("PARABLE_API_TOKEN")},
RequestInterceptor: func(ctx context.Context, req *http.Request) error {
req.Header.Set("X-Tenant", os.Getenv("PARABLE_WORKSPACE"))
return nil
},
})
if err != nil {
return err
}
query := &namespaces.CatalogTableQualityResultsQueryParams{}
result, err := sdk.CatalogNamespace.TableQualityResults(ctx, query){
"data": {
"results": [
{
"capturedAt": "2023-11-07T05:31:56Z",
"checks": [
{
"spec": {
"description": "<string>",
"gate": "GATE_1",
"id": "<string>"
},
"status": "PASS",
"comparator": "LT",
"evidence": {
"message": "<string>",
"runOverRunDelta": 123,
"sampleKeys": [
"<string>"
],
"topViolatingValues": [
"<string>"
]
},
"observed": 123,
"threshold": 123
}
],
"lifecycle": "promote",
"overallStatus": "PASS",
"resultId": "<string>",
"runId": "<string>",
"tapContractId": "<string>"
}
],
"resultsVersion": "<string>",
"tenantId": "<string>",
"nextOffset": 123
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}Read the latest data-quality results
read_latest_data_quality_resultsAuthorizations
Headers
Query Parameters
Was this page helpful?